<?xml version="1.0" encoding="utf-8"?>
<report xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" tool_name="cppcheck" tool_version="1.43">
	<!--
		Report for "dovecot" with evaluations by SATE analysts
		Date: Wed, 22 Sep 2010 16:52:44 GMT
		SATE 2010
	-->
	<weakness id="1" uid="35715" selected="yes">
		<name>unusedStructMember</name>
		<location id="0" path="dovecot-2.0.beta6/src/auth/auth-master-connection.c" line="32"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[struct or union member 'master_userdb_request::auth_request' is never used
]]></textoutput>
		</output>
		<evaluation correctness="quality">
			<comments><![CDATA[<ol><li>True.  In fact, the entire structure master_userdb_request is never used.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="7" uid="35721" selected="yes">
		<name>unusedVariable</name>
		<location id="0" path="dovecot-2.0.beta6/src/auth/db-ldap.c" line="796"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[Unused variable: value
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>The variable &#039;value&#039; is used if compiled with a debug option:
<br/>#ifdef LDAP_OPT_DEBUG_LEVEL
<br/>    value = atoi(conn-&gt;set.debug_level);
<br/>    if (value != 0) {
<br/>        db_ldap_set_opt(NULL, LDAP_OPT_DEBUG_LEVEL, &amp;value,
<br/>                 &quot;debug_level&quot;, conn-&gt;set.debug_level);
<br/>    }
<br/>#endif
<br/></li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="12" uid="35726" selected="yes">
		<name>unreadVariable</name>
		<location id="0" path="dovecot-2.0.beta6/src/auth/passdb-checkpassword.c" line="26"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[Variable 'callback' is assigned a value that is never used
]]></textoutput>
		</output>
		<evaluation correctness="false">
			<comments><![CDATA[<ol><li>I believe &quot;callback&quot; is a pointer to a function.  It is used in line 44:
<br/>        callback(result, request-&gt;request);
<br/></li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="13" uid="35727" selected="yes">
		<name>unreadVariable</name>
		<location id="0" path="dovecot-2.0.beta6/src/auth/userdb-checkpassword.c" line="26"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[Variable 'callback' is assigned a value that is never used
]]></textoutput>
		</output>
		<evaluation correctness="false">
			<comments><![CDATA[<ol><li>I believe &quot;callback&quot; is a pointer to a function. It is used in line 44:
<br/>callback(result, request-&gt;request);
<br/></li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="19" uid="35733" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/dns/dns-client.c" line="32"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>True, but pretty trivial.  It would only be nested within one conditional, its just a return value, not a particularly critical value, it is now declared at the top of the (short) function with all the other variables.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="20" uid="35734" selected="yes">
		<name>resourceLeak</name>
		<location id="0" path="dovecot-2.0.beta6/src/doveadm/doveadm-dump-log.c" line="493"/>
		<grade severity="1"/>
		<output>
			<textoutput><![CDATA[Resource leak: fd
]]></textoutput>
		</output>
		<evaluation correctness="quality">
			<comments><![CDATA[<ol><li>The person running the system can, indeed, cause a resource leak by dumping many files.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="21" uid="35735" selected="yes">
		<name>resourceLeak</name>
		<location id="0" path="dovecot-2.0.beta6/src/doveadm/doveadm-dump-mailboxlog.c" line="73"/>
		<grade severity="1"/>
		<output>
			<textoutput><![CDATA[Resource leak: fd
]]></textoutput>
		</output>
		<evaluation correctness="quality">
			<comments><![CDATA[<ol><li>The person running the system can, indeed, cause a resource leak by dumping many times.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="36" uid="35750" selected="yes">
		<name>unusedStructMember</name>
		<location id="0" path="dovecot-2.0.beta6/src/imap/imap-search-args.c" line="15"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[struct or union member 'search_build_data::box' is never used
]]></textoutput>
		</output>
		<evaluation correctness="quality">
			<comments><![CDATA[<ol><li>True.  In fact the entire structure search_build_data is never used.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="37" uid="35751" selected="yes">
		<name>unusedStructMember</name>
		<location id="0" path="dovecot-2.0.beta6/src/imap/imap-search-args.c" line="16"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[struct or union member 'search_build_data::error' is never used
]]></textoutput>
		</output>
		<evaluation correctness="quality">
			<comments><![CDATA[<ol><li>True. In fact the entire structure search_build_data is never used.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="55" uid="35769" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-strmap.c" line="712"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>True, but pretty trivial. It would only be nested within one conditional, it&#039;s just a return value, not a particularly critical value, and it is now declared at the top of the (short) function with all the other variables.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="60" uid="35774" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-transaction-view.c" line="341"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable pos can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>True. It would only be nested within one conditional, and it is now declared at the top of the (short) function with all the other variables.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="66" uid="35780" selected="yes">
		<name>unassignedVariable</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-transaction-log-append.c" line="146"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[Variable 'hdr' is not assigned a value
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>hdr is used in a sizeof expression, so it is not entirely unused:
<br/>file-&gt;max_tail_offset += ctx-&gt;output-&gt;used +
<br/>     sizeof(*hdr) + sizeof(*u) + sizeof(offset);
<br/>
<br/>My guess is that this is a piece of &quot;fossil&quot; code: at one time hdr was used.  I am concerned about code quality here because using the size of an &quot;unrelated&quot; variable is problematic.  For instance, what if the contents of the tail (or offset) change?  I am not marking the warning as quality since it is only reporting an unused variable.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="75" uid="35789" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-master/master-service-settings.c" line="306"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>True, but pretty trivial. It would only be nested within two conditionals, it&#039;s just a return value, not a particularly critical value, and it is now declared at the top of the function with all the other variables.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="77" uid="35791" selected="yes">
		<name>terminateStrncpy</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-ntlm/ntlm-encrypt.c" line="42"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[After a strncpy() the buffer should be zero-terminated
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>The warning itself is insignificant: buffer seems to be used as an array of 14 characters, not as a string.  Therefore null termination is not required.
<br/>    unsigned char buffer[14];
<br/>    strncpy((char *)buffer, passwd, sizeof(buffer));
<br/>    for (i = 0; i &lt; sizeof(buffer); i++)
<br/>        buffer[i] = i_toupper(buffer[i]);
<br/>    deshash(hash, buffer, lm_magic);
<br/>    deshash(hash + 8, buffer + 7, lm_magic);
<br/>
<br/>    safe_memset(buffer, 0, sizeof(buffer));
<br/>
<br/>However there may be a bug.  If the function is just hashing the first 14 characters of the password, then it seems that it will give inconsistent results if a password shorter than 13 characters is used!
<br/></li>

<li>There is no bug: &quot;If the length of src is less than n, strncpy() pads  the  remainder  of dest with null bytes.&quot;</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="79" uid="35793" selected="yes">
		<name>unreadVariable</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-sql/driver-pgsql.c" line="431"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[Variable 'db' is assigned a value that is never used
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>The value is used in optionally compiled code:
<br/>#ifdef HAVE_PQESCAPE_STRING_CONN
<br/>    if (db-&gt;api.state == SQL_DB_STATE_DISCONNECTED) {
<br/>        /* try connecting again */
<br/>        (void)sql_connect(&amp;db-&gt;api);
<br/>        ...
<br/></li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="83" uid="35797" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-sql/driver-sqlpool.c" line="297"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>True, but pretty trivial. It would only be nested within one conditional, it&#039;s just a counter, not a particularly critical value, and it is now declared at the top of the (short) function with all the other variables.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="85" uid="35799" selected="yes">
		<name>unreadVariable</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/dbox-common/dbox-file.c" line="101"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[Variable 'pos' is assigned a value that is never used
]]></textoutput>
		</output>
		<evaluation correctness="quality">
			<comments><![CDATA[<ol><li>The warning is correct.  &quot;pos&quot; is declared (line 101), set (line 111), and updated in a loop (line 129), but the value is never used.  At best it is &quot;fossil&quot; code.  At worst it indicates missing functionality.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="87" uid="35801" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/dbox-common/dbox-file.c" line="375"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>True, but pretty trivial. It would only be nested within one conditional, it&#039;s just a return value, not a particularly critical value, and it is now declared at the top of the (short) function with all the other variables.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="89" uid="35803" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/dbox-multi/mdbox-file.c" line="237"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable count can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>True, but pretty trivial. It would only be nested within one conditional, it&#039;s not a particularly critical value, and it is now declared at the top of the (short) function with all the other variables.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="98" uid="35812" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/index-thread.c" line="119"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>True, but pretty trivial. It would only be nested within one conditional, it&#039;s just a return value, not a particularly critical value, and it is now declared at the top of the (short) function with all the other variables.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="102" uid="35816" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/maildir/maildir-mail.c" line="274"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable key can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>True, but pretty trivial. It would only be nested within one conditional, it&#039;s not a particularly critical value, and it is now declared at the top of the (short) function with all the other variables.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="112" uid="35826" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/mbox/mbox-sync-rewrite.c" line="394"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable need_space can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>True, but pretty trivial. It would only be nested within one conditional, it&#039;s not a particularly critical value, and it is now declared at the top of the (short) function with all the other variables.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="119" uid="35833" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/list/mailbox-list-fs.c" line="324"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>True, but pretty trivial. It would only be nested within one conditional, it&#039;s just a return value, not a particularly critical value, and it is now declared at the top of the function.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="121" uid="35835" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/list/mailbox-list-maildir.c" line="568"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable found can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="insignificant">
			<comments><![CDATA[<ol><li>True, but pretty trivial. It would only be nested within one conditional, it&#039;s not a particularly critical value, and it is now declared at the top of the function.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="129" uid="35843" selected="yes">
		<name>unreadVariable</name>
		<location id="0" path="dovecot-2.0.beta6/src/login-common/sasl-server.c" line="77"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[Variable 'sasl_callback' is assigned a value that is never used
]]></textoutput>
		</output>
		<evaluation correctness="false">
			<comments><![CDATA[<ol><li>I believe sasl_callback is a pointer to a function.  The value is used on line 84.
<br/></li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="142" uid="35856" selected="yes">
		<name>resourceLeak</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-test.c" line="70"/>
		<grade severity="1"/>
		<output>
			<textoutput><![CDATA[Resource leak: fd
]]></textoutput>
		</output>
		<evaluation correctness="quality">
			<comments><![CDATA[<ol><li>This file is a small test program deep in the dovecot directory structure.  True, fd is not closed, but any closing would be done just before the program terminates anyway.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="145" uid="35859" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-uidlist.c" line="119"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable mask can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="quality">
			<comments><![CDATA[<ol><li>True. It would only be nested pretty deeply, and it is a &quot;work&quot; value.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="166" uid="35880" selected="yes">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/zlib/zlib-plugin.c" line="312"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable fd can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="quality">
			<comments><![CDATA[<ol><li>True. It would only be nested within one conditional, it is an important &quot;work&quot; value.  It is now declared at the top of the function with all the other variables.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="168" uid="35882" selected="yes">
		<name>unusedStructMember</name>
		<location id="0" path="dovecot-2.0.beta6/src/ssl-params/main.c" line="18"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[struct or union member 'client::output' is never used
]]></textoutput>
		</output>
		<evaluation correctness="quality">
			<comments><![CDATA[<ol><li>True. In fact the entire structure client is never used.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="169" uid="35883" selected="yes">
		<name>resourceLeak</name>
		<location id="0" path="dovecot-2.0.beta6/src/util/listview.c" line="149"/>
		<grade severity="1"/>
		<output>
			<textoutput><![CDATA[Resource leak: fd
]]></textoutput>
		</output>
		<evaluation correctness="quality">
			<comments><![CDATA[<ol><li>True, fd is not closed, but any closing would be done just before the program terminates anyway.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="2" uid="35716" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/auth/auth-penalty.c" line="67"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable secs can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="3" uid="35717" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/auth/auth-penalty.c" line="67"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable drop_penalty can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="4" uid="35718" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/auth/auth-request-handler.c" line="326"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable secs can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="5" uid="35719" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/auth/auth-stream.c" line="94"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable keylen can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="6" uid="35720" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/auth/auth.c" line="219"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="8" uid="35722" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/auth/db-ldap.c" line="823"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="9" uid="35723" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/auth/db-ldap.c" line="927"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="10" uid="35724" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/auth/mech-digest-md5.c" line="275"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="11" uid="35725" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/auth/passdb-blocking.c" line="30"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="14" uid="35728" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/config/all-settings.c" line="274"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="15" uid="35729" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/config/doveconf.c" line="539"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="16" uid="35730" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/config/old-set-parser.c" line="62"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable len can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="17" uid="35731" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/director/login-connection.c" line="77"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable secs can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="18" uid="35732" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/dns/dns-client.c" line="31"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="22" uid="35736" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/doveadm/doveadm-kick.c" line="69"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable kick_count can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="23" uid="35737" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/doveadm/doveadm-master.c" line="51"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="24" uid="35738" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/doveadm/doveadm-print-table.c" line="159"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable line_count can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="25" uid="35739" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/dsync/dsync-data.c" line="14"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="26" uid="35740" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/dsync/dsync-data.c" line="37"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="27" uid="35741" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/dsync/dsync-data.c" line="37"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable count can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="28" uid="35742" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/dsync/dsync-proxy-server.c" line="68"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="29" uid="35743" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/dsync/dsync-proxy-server.c" line="68"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable count can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="30" uid="35744" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/dsync/dsync-proxy.c" line="98"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="31" uid="35745" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/dsync/dsync-proxy.c" line="141"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="32" uid="35746" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/dsync/test-dsync-worker.c" line="307"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="33" uid="35747" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/dsync/test-dsync-worker.c" line="307"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable count can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="34" uid="35748" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/imap/cmd-append.c" line="215"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable save_count can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="35" uid="35749" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/imap/cmd-append.c" line="383"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="38" uid="35752" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lda/main.c" line="157"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="39" uid="35753" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lda/main.c" line="264"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="40" uid="35754" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-dict/dict-client.c" line="277"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable diff can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="41" uid="35755" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-dict/dict-sql.c" line="345"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable recurse_type can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="42" uid="35756" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-dict/dict-sql.c" line="346"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="43" uid="35757" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-cache-lookup.c" line="143"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="44" uid="35758" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-cache-lookup.c" line="214"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="45" uid="35759" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-cache-sync-update.c" line="45"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="46" uid="35760" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-cache.c" line="492"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable timeout_secs can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="47" uid="35761" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-cache-transaction.c" line="562"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="48" uid="35762" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-cache-transaction.c" line="947"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="49" uid="35763" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-map-read.c" line="132"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable records_size can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="50" uid="35764" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-map-read.c" line="133"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable extra can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="51" uid="35765" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-map.c" line="376"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable count can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="52" uid="35766" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-modseq.c" line="234"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="53" uid="35767" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-modseq.c" line="260"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="54" uid="35768" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-modseq.c" line="260"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable metadata_idx can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="56" uid="35770" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-strmap.c" line="1044"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable timeout_secs can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="57" uid="35771" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-sync-ext.c" line="651"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="58" uid="35772" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-sync-keywords.c" line="17"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="59" uid="35773" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-transaction-view.c" line="34"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="61" uid="35775" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-transaction-update.c" line="569"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable idx can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="62" uid="35776" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-transaction-update.c" line="569"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable first_idx can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="63" uid="35777" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-transaction-update.c" line="867"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable new_size can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="64" uid="35778" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-view.c" line="95"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="65" uid="35779" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-index-write.c" line="186"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="67" uid="35781" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mail-transaction-log-file.c" line="1507"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable size can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="68" uid="35782" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-index/mailbox-list-index.c" line="640"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="69" uid="35783" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-lda/mail-send.c" line="65"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="70" uid="35784" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-mail/message-address.c" line="159"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret2 can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="71" uid="35785" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-mail/message-date.c" line="29"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable chr can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="72" uid="35786" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-mail/test-istream-dot.c" line="21"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable outsize can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="73" uid="35787" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-mail/test-istream-dot.c" line="24"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="74" uid="35788" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-master/master-service-settings.c" line="305"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="76" uid="35790" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-master/master-service.c" line="786"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="78" uid="35792" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-settings/settings-parser.c" line="1621"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="80" uid="35794" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-sql/driver-pgsql.c" line="736"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable len can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="81" uid="35795" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-sql/driver-sqlite.c" line="160"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable rc can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="82" uid="35796" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-sql/driver-sqlite.c" line="190"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable rc can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="84" uid="35798" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/cydir/cydir-mail.c" line="100"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable fd can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="86" uid="35800" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/dbox-common/dbox-file.c" line="196"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="88" uid="35802" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/dbox-common/dbox-mail.c" line="225"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="90" uid="35804" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/dbox-multi/mdbox-sync.c" line="317"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable mdbox_sync_flags can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="91" uid="35805" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/dbox-single/sdbox-copy.c" line="73"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="92" uid="35806" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/dbox-single/sdbox-mail.c" line="30"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="93" uid="35807" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/dbox-single/sdbox-sync.c" line="273"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable sdbox_sync_flags can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="94" uid="35808" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/index-sort-string.c" line="353"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="95" uid="35809" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/index-search.c" line="1178"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable percentage can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="96" uid="35810" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/index-search.c" line="1179"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable msecs can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="97" uid="35811" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/index-search.c" line="1179"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable secs can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="99" uid="35813" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/maildir/maildir-copy.c" line="199"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="100" uid="35814" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/maildir/maildir-mail.c" line="103"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="101" uid="35815" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/maildir/maildir-mail.c" line="212"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="103" uid="35817" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/maildir/maildir-mail.c" line="398"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="104" uid="35818" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/maildir/maildir-mail.c" line="539"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="105" uid="35819" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/maildir/maildir-uidlist.c" line="895"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="106" uid="35820" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/maildir/maildir-uidlist.c" line="1155"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable len can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="107" uid="35821" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/mbox/mbox-lock.c" line="203"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="108" uid="35822" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/mbox/mbox-lock.c" line="774"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="109" uid="35823" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/mbox/mbox-mail.c" line="231"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable trailer_size can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="110" uid="35824" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/mbox/mbox-save.c" line="256"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="111" uid="35825" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/mbox/mbox-storage.c" line="515"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="113" uid="35827" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/mbox/mbox-sync-update.c" line="33"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="114" uid="35828" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/mbox/mbox-sync-update.c" line="190"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable startpos can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="115" uid="35829" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/mbox/mbox-sync.c" line="812"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="116" uid="35830" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/mbox/mbox-sync.c" line="874"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="117" uid="35831" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/index/mbox/mbox-sync.c" line="1972"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable mbox_sync_flags can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="118" uid="35832" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/list/index-mailbox-list.c" line="460"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="120" uid="35834" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/list/mailbox-list-maildir-iter.c" line="131"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="122" uid="35836" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/mail-storage-settings.c" line="357"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="123" uid="35837" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/mail-storage.c" line="251"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable list_flags can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="124" uid="35838" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/mailbox-list.c" line="899"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="125" uid="35839" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-storage/mailbox-tree.c" line="156"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="126" uid="35840" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/lib-test/test-common.c" line="27"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable new_skip_diff can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="127" uid="35841" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/login-common/client-common.c" line="358"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="128" uid="35842" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/login-common/main.c" line="104"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable fd_ssl can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="130" uid="35844" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/master/main.c" line="133"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable fd can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="131" uid="35845" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/master/service-monitor.c" line="366"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="132" uid="35846" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/master/service-process.c" line="148"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable disallow_root can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="133" uid="35847" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/master/service-process.c" line="149"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable len can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="134" uid="35848" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/acl/acl-backend.c" line="39"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="135" uid="35849" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/acl/acl-backend-vfile.c" line="298"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="136" uid="35850" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/acl/acl-backend-vfile.c" line="298"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable dest can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="137" uid="35851" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/acl/acl-cache.c" line="380"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="138" uid="35852" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/acl/acl-lookup-dict.c" line="268"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="139" uid="35853" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/acl/acl-mailbox-list.c" line="61"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret2 can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="140" uid="35854" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/expire/expire-plugin.c" line="104"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="141" uid="35855" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-solr/solr-connection.c" line="91"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable line can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="143" uid="35857" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-uidlist.c" line="119"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable idx can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="quality">
			<comments><![CDATA[<ol><li>True. It would be nested pretty deeply, and it is an important &quot;work&quot; value.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="144" uid="35858" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-uidlist.c" line="119"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable max_idx can be reduced
]]></textoutput>
		</output>
		<evaluation correctness="quality">
			<comments><![CDATA[<ol><li>True. It would be nested pretty deeply, and it is an important &quot;work&quot; value.</li>

</ol>]]></comments>
		</evaluation>
	</weakness>
	<weakness id="146" uid="35860" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-uidlist.c" line="121"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable num can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="147" uid="35861" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-uidlist.c" line="432"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="148" uid="35862" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-uidlist.c" line="650"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="149" uid="35863" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-uidlist.c" line="1295"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="150" uid="35864" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-uidlist.c" line="1295"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable j can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="151" uid="35865" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-uidlist.c" line="1482"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable idx can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="152" uid="35866" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-uidlist.c" line="1510"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="153" uid="35867" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-trie.c" line="112"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="154" uid="35868" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-trie.c" line="373"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable old_size can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="155" uid="35869" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts-squat/squat-trie.c" line="1428"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="156" uid="35870" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts/fts-api.c" line="39"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="157" uid="35871" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts/fts-storage.c" line="568"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable percentage can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="158" uid="35872" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts/fts-storage.c" line="569"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable msecs can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="159" uid="35873" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/fts/fts-storage.c" line="569"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable secs can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="160" uid="35874" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/listescape/listescape-plugin.c" line="115"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="161" uid="35875" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/listescape/listescape-plugin.c" line="116"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable vname can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="162" uid="35876" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/quota/quota-storage.c" line="184"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="163" uid="35877" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/quota/quota.c" line="979"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="164" uid="35878" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/trash/trash-plugin.c" line="81"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="165" uid="35879" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/plugins/zlib/istream-zlib.c" line="63"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable fextra_size can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="167" uid="35881" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/pop3/pop3-commands.c" line="394"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="170" uid="35884" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/util/maildirlock.c" line="43"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable ret can be reduced
]]></textoutput>
		</output>
	</weakness>
	<weakness id="171" uid="35885" selected="no">
		<name>variableScope</name>
		<location id="0" path="dovecot-2.0.beta6/src/util/script-login.c" line="183"/>
		<grade severity="5"/>
		<output>
			<textoutput><![CDATA[The scope of the variable i can be reduced
]]></textoutput>
		</output>
	</weakness>
</report>